Jump to content
UnitySpain
Sign in to follow this  
panda117

script antiguos que ya no funcionan recientemente

Recommended Posts

Hola, saludos a todos.

 

Hola, disculpen tengo una pregunta espero me puedan ayudar, deje unity por algun tiempo y ahora que tengo el unity vercion del 2018, ya no funcionan mis scripts que tenia de años atras,

por ejemplo tenia un script, que me permitia recojer objetos, y que un enemigo me perseguia cada que recojia un objeto, y ahora cuando intento recrear ese juego, no me deja, me sale error,  hay alguna manera de arreglar el scrip o de actualizarlo para las verciones mas recientes? ya que yo no soy programador, pero esos scripts los obtube como 2 años atras y me funcionaban exelente, se podran modificar para que funcionen? o unity implemento algo para que ya nada de hace tiempo funcionara para que tengamos que comprarlos? si quieres se los puedo poner y me dicen que tienen mal, o si me pdorian decir que cambio para checar mejor,

 

De antemano gracias ala comunidad

Share this post


Link to post
Share on other sites

Depende de la versión anterior de Unity que provinieran esos scripts y cuánta dependencia de esa versión tenían.

Para migrar un proyecto de una versión antigua a una nueva, es mejor ir haciéndolo por versiones intermedias, comprobando que todo funciona correctamente en vez de dar un gran salto hacía una última versión. Y a veces es mejor parar en una versión que funcione que continuar a una superior que requiera muchos cambios.

Share this post


Link to post
Share on other sites
1 hour ago, panda117 said:

en cual le doy de las 3 opciones 

image.png

Si te querés descargar el editor, cual te parece la más acertada ?

Share this post


Link to post
Share on other sites
Sign in to follow this  

×